<?php
/**
 * webhosty functions and definitions
 *
 * @package webhosty
 */
/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) ) {
	$content_width = 640; /* pixels */
}
define('WEBHOSTY_PATH', get_template_directory_uri() ); 
define('WEBHOSTY_PATH_SERVER_PATH', get_template_directory() );
define('WEBHOSTY_AJAX_URL', admin_url('admin-ajax.php') ); 
if ( ! function_exists( 'webhosty_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support for post thumbnails.
 */
function webhosty_setup() {
	/*
	 * Make theme available for translation.
	 * Translations can be filed in the /languages/ directory.
	 * If you're building a theme based on webhosty, use a find and replace
	 * to change 'webhosty' to the name of your theme in all the template files
	 */
	load_theme_textdomain( 'webhosty', get_template_directory() . '/languages' );
load_theme_textdomain( 'webhosty_framework', get_template_directory() . '/admin/languages' );
	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );
	/*
	 * Let WordPress manage the document title.
	 * By adding theme support, we declare that this theme does not use a
	 * hard-coded <title> tag in the document head, and expect WordPress to
	 * provide it for us.
	 */  
	add_theme_support( 'title-tag' );
	/*
	 * Enable support for Post Thumbnails on posts and pages.
	 *
	 * @link http://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
	 */
	add_theme_support( 'post-thumbnails' );
	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'webhosty_primary_menu' => __( 'webhosty Menu', 'webhosty' ),
		'webhosty_footer_menu' => __( 'webhosty footer Menu', 'webhosty' ),
	) );   
	/* 
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5. 
	 */
	add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption',
	) );
	/*
	 * Enable support for Post Formats.
	 * See http://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array(
		'aside', 'image', 'video', 'quote', 'link',
	) );
	// Set up the WordPress core custom background feature.
	add_theme_support( 'custom-background', apply_filters( 'webhosty_custom_background_args', array(
		'default-color' => 'ffffff',
		'default-image' => '',
	) ) );
}
endif; // webhosty_setup 
add_action( 'after_setup_theme', 'webhosty_setup' );
/**
 * Register widget area.
 *
 * @link http://codex.wordpress.org/Function_Reference/register_sidebar
 */
function webhosty_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Sidebar', 'webhosty' ),
		'id'            => 'sidebar-1', 
		'description'   => '',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	register_sidebar( array(
		'name'          => __( 'footerSidebar', 'webhosty' ),
		'id'            => 'webhostyfooter',
		'description'   => '',
		'before_widget' => '<div class="wh_footer">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'webhosty_widgets_init' );
/**
 * Enqueue scripts and styles.
 */
/**
 * Implement the Custom Header feature.
 */
//require get_template_directory() . '/inc/custom-header.php';
/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';
/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';
/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';
/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';
/*
 * Load redux-framework
 */
if (file_exists(dirname(__FILE__).'/admin/framework.php')) {
    require_once( dirname(__FILE__).'/admin/framework.php' );
}
if (file_exists(dirname(__FILE__).'/admin/webhosty-config.php')) {
    require_once( dirname(__FILE__).'/admin/webhosty-config.php' );
}  
require get_template_directory() . '/aq_resizer.php';
require get_template_directory() . '/include/webhosty-enqueue.php'; 
require get_template_directory() . '/include/section-function.php'; 
require_once get_template_directory() . '/theme_plugin/plugin-activate-config.php'; 
require get_template_directory() . '/include/webhosty-comments.php'; 
require get_template_directory() .'/include/shortcode.php';    
require get_template_directory() .'/include/menus.php'; 
require get_template_directory() .'/include/webhosty-shortcode.php'; 
require_once get_template_directory() .'/function/tinymce_shortcodebutton.php';
require get_template_directory() .'/include/section-social.php';
require get_template_directory() .'/include/sendmail_contactform.php';